Package gbp :: Package git :: Module vfs :: Class GitVfs

[hide private]
[frames] | no frames]

# Class GitVfs

    object --+
             |
            GitVfs

Nested Classes | [hide private]

| _File A file like object representing a file in git

Instance Methods | [hide private]

__init__(self, repo, committish=None) x.__init__(...) initializes x; see help(type(x)) for signature |

open(self, path, flags=None) |

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, repo, committish=None)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `repo` - the git repository to act on
  - `committish` - the committish to act on
Overrides: object.__init__